- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Graphics::CImageManager::CImageReference Class Reference

List of all members.

## Detailed Description

Reference to an image, key pair of image and name.

Definition at line 70 of file CImageManager.hpp.

## Public Member Functions

- CImageReference (IImage *image, const CString &referenceName)
- CImageReference ()
- IImage * getImage ()
- const CString & getReferenceName () const
- void setImage (IImage *image)
- void setReferenceName (const CString &referenceName)
- virtual ~CImageReference ()

## Protected Attributes

- IImage * m_image
- CString m_referenceName

## Constructor & Destructor Documentation

Exponent::GUI::Graphics::CImageManager::CImageReference::CImageReference | ( |  | ) |

Construction

Exponent::GUI::Graphics::CImageManager::CImageReference::CImageReference | ( | IImage * | image,
|  | const CString & | referenceName |
| ) |  |  |

Construction

Parameters:

  | image | The image to store
  | referenceName | The name of the image

virtual Exponent::GUI::Graphics::CImageManager::CImageReference::~CImageReference | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

IImage* Exponent::GUI::Graphics::CImageManager::CImageReference::getImage | ( |  | ) | `[inline]`

Get the image

Return values:

  | IImage* | The image

Definition at line 117 of file CImageManager.hpp.

References m_image.

Referenced by Exponent::GUI::Graphics::CImageManager::CAnimationReference::getImage().

const CString& Exponent::GUI::Graphics::CImageManager::CImageReference::getReferenceName | ( |  | ) | const`[inline]`

Get teh reference name

Return values:

  | const | CString& The name of the image

Definition at line 123 of file CImageManager.hpp.

References m_referenceName.

Referenced by Exponent::GUI::Graphics::CImageManager::CAnimationReference::getReferenceName().

void Exponent::GUI::Graphics::CImageManager::CImageReference::setImage | ( | IImage * | image | ) | `[inline]`

Set the image

Parameters:

  | image | The image to store

Definition at line 103 of file CImageManager.hpp.

References EXCHANGE_COUNTED_OBJECTS, and m_image.

Referenced by Exponent::GUI::Graphics::CImageManager::CAnimationReference::setImage().

void Exponent::GUI::Graphics::CImageManager::CImageReference::setReferenceName | ( | const CString & | referenceName | ) | `[inline]`

Set the reference name

Parameters:

  | referenceName | The name of the image

Definition at line 109 of file CImageManager.hpp.

References m_referenceName.

Referenced by Exponent::GUI::Graphics::CImageManager::CAnimationReference::setReferenceName().

## Member Data Documentation

IImage* Exponent::GUI::Graphics::CImageManager::CImageReference::m_image`[protected]`

The image

Definition at line 131 of file CImageManager.hpp.

Referenced by getImage(), and setImage().

CString Exponent::GUI::Graphics::CImageManager::CImageReference::m_referenceName`[protected]`

The name

Definition at line 132 of file CImageManager.hpp.

Referenced by getReferenceName(), and setReferenceName().